
Foreman - Feature #258

Ability to change environment for multiple selected hosts.

05/16/2010 07:28 AM - Bash Shell

Status: Closed   

Priority: Normal   

Assignee: Bash Shell   

Category: Web Interface   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Similar to #179, an ability to mass edit Hosts and change their environment is useful.

Associated revisions

Revision 6b728fdc - 05/18/2010 03:19 AM - Bash Shell

Fixes #258: Change Environment for multiple hosts.

History

#1 - 05/16/2010 08:05 AM - Bash Shell

- File feat258.patch added

Attaching patch. Let me know if it can be improved.

#2 - 05/16/2010 12:28 PM - Ohad Levy

- Category set to Web Interface

- Assignee set to Bash Shell

- Target version set to 0.1-5

looking good.

do you think we can do it with Host.update method instead of looping for every host?

#3 - 05/17/2010 01:26 AM - Bash Shell

- File feature258.patch added

Forgot a file, attaching new patch.

Not sure how to use Host.update, but I'll look into it.

#4 - 05/18/2010 03:10 AM - Ohad Levy

- Status changed from New to Ready For Testing

I'll accept this patch, do you want to provide it in a git format (git format patch or via github?)

#5 - 05/18/2010 03:23 AM - Bash Shell

- % Done changed from 0 to 100

Applied in changeset 6b728fdc6edbbdbb3b6fa44ad35cc34d314c8a1d.

#6 - 05/18/2010 03:28 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
https://projects.theforeman.org/issues/179
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/6b728fdc6edbbdbb3b6fa44ad35cc34d314c8a1d


Files

feat258.patch 4.06 KB 05/16/2010 Bash Shell

feature258.patch 4.76 KB 05/17/2010 Bash Shell
